from flask import Flask, request, render_template
import requests

app = Flask(__name__)

@app.route('/', methods=['GET', 'POST'])
def register():
    if request.method == 'POST':
        # Fetch form fields
        first_name = request.form.get('first_name')
        last_name  = request.form.get('last_name')
        email      = request.form.get('email')
        phone      = request.form.get('phone')
        user_ip    = request.remote_addr  # fallback if not manually passed
        country    = request.form.get('country_code') or 'US'
        language   = request.form.get('language') or 'en'
        click_id   = request.form.get('click_id') or '123'

        if not all([first_name, last_name, email, phone]):
            return render_template('form.html', msg="Please fill all fields", submitted=False)

        # Payload for Elnopy
        payload = {
            'link_id': '47',  # Replace with your actual link ID
            'fname': first_name,
            'lname': last_name,
            'email': email,
            'fullphone': phone,
            'ip': user_ip,
            'country': country,
            'language': language,
            'click_id': click_id
        }
        print("Payload:", payload)
        # POST to Elnopy
        try:
            url = 'https://tracking.spartas360.com/api/v3/integration?api_token=K4SG6IBlKPmXEVN3AvKjefhJSVbiPcQxWyzXesw3NbcxezJ2bG1EKOtTlirg'
            headers = {'Content-Type': 'application/x-www-form-urlencoded'}
            response = requests.post(url, data=payload, headers=headers)
            print("Elnopy Response:", response.text)
        except Exception as e:
            print("Error posting to Elnopy:", e)

        return render_template('form.html', submitted=True)

    return render_template('form.html', submitted=False)

if __name__ == '__main__':
    app.run(debug=True)
